libintl.so.6
Results 1 to 5 of 5

Thread: libintl.so.6

  1. #1
    Junior Member Kye's Avatar
    Join Date
    Dec 2006
    Posts
    12

    libintl.so.6

    When trying to open various applications in freebsd 6.2 i keep getting this error message spat at me:

    /libexec/ld-elf.so.1: Shared object "libintl.so.6" not found, required by " "

    any ideas?

  2. #2
    Just Another Geek
    Join Date
    Jul 2002
    Location
    Rotterdam, Netherlands
    Posts
    3,401
    Yeah, you upgraded/installed some port that depends on gettext. And it's expecting a version that isn't installed.

    Install ports-mgmt/portupgrade and run portupgrade -rf gettext. This will rebuild gettext and anything that depends on it.
    Oliver's Law:
    Experience is something you don't get until just after you need it.

  3. #3
    Junior Member Kye's Avatar
    Join Date
    Dec 2006
    Posts
    12
    Quote Originally Posted by SirDice
    Yeah, you upgraded/installed some port that depends on gettext. And it's expecting a version that isn't installed.

    Install ports-mgmt/portupgrade and run portupgrade -rf gettext. This will rebuild gettext and anything that depends on it.
    Yea, i didnt read update and the answer was sitting in there waiting for me

    I actually have to manually rebuild all the packages that this depends on, this should be interesting.

    But thanks for the reply

  4. #4
    Just Another Geek
    Join Date
    Jul 2002
    Location
    Rotterdam, Netherlands
    Posts
    3,401
    Quote Originally Posted by Kye
    I actually have to manually rebuild all the packages that this depends on, this should be interesting.
    portupgrade -rf gettext will take care of that for you.
    Oliver's Law:
    Experience is something you don't get until just after you need it.

  5. #5
    Junior Member
    Join Date
    Aug 2007
    Posts
    1
    Thank you very much for sharing this post. The update is fixing 389 packages...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •